Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Interface AFPCustomizable

All Known Implementing Classes:
  AFPDocumentHandler, AFPRenderer

public interface AFPCustomizable

Interface used to customize the AFP renderer or document handler.

Method Summary
`int` | `getResolution()` Returns the output/device resolution.
`void` | `setBitsPerPixel(int bitsPerPixel)` Sets the number of bits used per pixel
`void` | `setCMYKImagesSupported(boolean value)` Controls whether CMYK images (IOCA FS45) are enabled.
`void` | `setColorImages(boolean colorImages)` Sets whether images are color or not
`void` | `setDefaultResourceGroupFilePath(java.lang.String filePath)` Sets the default resource group file path
`void` | `setDitheringQuality(float quality)` Sets the dithering quality setting to use when converting images to monochrome images.
`void` | `setNativeImagesSupported(boolean nativeImages)` Sets whether images are supported natively or not
`void` | `setResolution(int resolution)` Sets the output/device resolution
`void` | `setResourceLevelDefaults(AFPResourceLevelDefaults defaults)` Sets the resource level defaults.
`void` | `setShadingMode(AFPShadingMode shadingMode)` Sets the shading mode for painting filled rectangles.

Method Detail

### setBitsPerPixel

    public void setBitsPerPixel(int bitsPerPixel)

  Sets the number of bits used per pixel

  Parameters:
    `bitsPerPixel` - number of bits per pixel

### setColorImages

    public void setColorImages(boolean colorImages)

  Sets whether images are color or not

  Parameters:
    `colorImages` - color image output

### setNativeImagesSupported

    public void setNativeImagesSupported(boolean nativeImages)

  Sets whether images are supported natively or not

  Parameters:
    `nativeImages` - native image support

### setCMYKImagesSupported

    public void setCMYKImagesSupported(boolean value)

  Controls whether CMYK images (IOCA FS45) are enabled. By default, support is disabled for wider compatibility. When disabled, any CMYK image is converted to the selected color format.

  Parameters:
    `value` - true to enabled CMYK images

### setShadingMode

    public void setShadingMode(AFPShadingMode shadingMode)

  Sets the shading mode for painting filled rectangles.

  Parameters:
    `shadingMode` - the shading mode

### setDitheringQuality

    public void setDitheringQuality(float quality)

  Sets the dithering quality setting to use when converting images to monochrome images.

  Parameters:
    `quality` - Defines the desired quality level for the conversion. Valid values: a value between 0.0f (fastest) and 1.0f (best)

### setResolution

    public void setResolution(int resolution)

  Sets the output/device resolution

  Parameters:
    `resolution` - the output resolution (dpi)

### getResolution

    public int getResolution()

  Returns the output/device resolution.

  Returns:
    the resolution in dpi

### setDefaultResourceGroupFilePath

    public void setDefaultResourceGroupFilePath(java.lang.String filePath)

  Sets the default resource group file path

  Parameters:
    `filePath` - the default resource group file path

### setResourceLevelDefaults

    public void setResourceLevelDefaults(AFPResourceLevelDefaults defaults)

  Sets the resource level defaults. The object passed in provides information which resource level shall be used by default for various kinds of resources.

  Parameters:
    `defaults` - the resource level defaults

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.